<?php

namespace App\Exports;

use App\Models\HasilPenilaian;
use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;

class HasilPerhitunganPdf implements FromView
{
    protected $results;

    public function __construct($results)
    {
        $this->results = $results;
    }

    public function view(): View
    {
        return view('exports.hasil-penilaian-pdf', [
            'results' => $this->results,
            'tanggal' => now()->format('d F Y')
        ]);
    }
}